Subject: Re: [PATCH] d80211: fix scan issues with new ops

From: David Kimdon <[email-masked]>
Date: Sun, 19 Nov 2006 07:56:28 -0800

On Sun, Nov 19, 2006 at 01:21:13AM +0100, Johannes Berg wrote:
> If hardware shall do scanning, the hw_scan operation must be set. However,
> if the driver is for multiple cards that may or may not do hardware
> scanning, it'll need a flag.

What is wrong with the driver setting the function pointer to NULL for
the cards that do not support scanning?  Where does this requirment
come from that the function pointers in struct ieee80211_wiphy be
identical for all cards?

-David